Commerce Engine is now in early preview. Please report any issues or feedback to support@commercengine.io
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/authenticate-direct-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"txn_id": "<string>",
"challenge_id": "<string>",
"otp": "<string>"
}
'{
"message": "<string>",
"success": true
}Authenticate direct OTP
curl --request POST \
--url https://staging.api.commercengine.io/api/v1/{store_id}/storefront/payments/authenticate-direct-otp \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"txn_id": "<string>",
"challenge_id": "<string>",
"otp": "<string>"
}
'{
"message": "<string>",
"success": true
}Access token
You can get the txn_id from the response of create order API under the payment object inside the payment_info object. The key is 'id' under the params object inside the authentication object.
You can get the challenge_id from the response of create order API under the payment object inside the payment_info object. The key is 'challenge_id' under the params object inside the authentication object.
Was this page helpful?